# Updating products

Note: This approval-free interface can only update some item fields, affecting draft and online data, and the sku in the request package must already exist in the original online data (e.g. out_sku_id = 123) if it is not in the sku list of the original online database, the error will be returned1000004

# Dxplaination of Interface Call Request

http请求方式:POST
https://api.weixin.qq.com/shop/spu/update_without_audit?access_token=xxxxxxxxx

# Example of request parameters

{
    "out_product_id": "1234566",
    "product_id": 1234566,
    "skus":
    [
        {
            "out_sku_id": "1024",
            "sale_price": 1300,
            "market_price": 1500,
            "stock_num": 100,
            "sku_code": "A24525252",
            "barcode": "13251454"
        }
    ],
    "limited_discount_info":{
        "limited_discount_sku_list":[
        {
            "sku_id":1024,
            "sale_price":1000,
            "sale_stock":90,
            "total_stock":120
        }
        ],
        "start_time":1653905417,
        "end_time":1653915417
    }
}

# Examples of back-up

{
    "errcode": 0,
    "errmsg":"ok",
    "data": 
    {
        "product_id": 1234566,
        "out_product_id": "1234566",
        "update_time": "2020-03-25 12:05:25"
    }
}

# Dxplaination of request parameters

参数 type Is it compulsory? Introductions
out_product_id string yes Choose between product_id and product_id
product_id number(uint64) yes Choose between product_id and product_id
skus[] object array no sku array
skus[].out_sku_id string Required when skus exists Merchant custom skuID
skus[].sale_price number no Selling price, divided into units, numerical types, up to a maximum of 10000000 (10 million yuan)
skus[].market_price number no Market prices, to be divided into units, numerical types, up to a maximum of 10000000 (10 million yuan)
skus[].stock_num number no Inventory, numerical type, maximum not exceeding 10000000 (10 million)
skus[].barcode string no barcode
skus[].sku_code string no Product Code, Character Type, No Longer than 20
limited_discount_info oobject no Kill the relevant information, only components 3.0 are allowed to use
limited_discount_info.start_time number no The start time of the kill.
limited_discount_info.end_time number no The kill end time must be greater than the current time
limited_discount_info.limited_discount_sku_list[] object array no Spike sku
limited_discount_info.limited_discount_sku_list[].sku_id number no The sku_id of the second kill product
limited_discount_info.limited_discount_sku_list[].sale_price number no The price of the sku must be less than the price of the sku (skus [].sale_price)
limited_discount_info.limited_discount_sku_list[].sale_stock number no The current stock of the product sku must be less than or equal to the stock of the product sku (skus [].stock_num)
limited_discount_info.limited_discount_sku_list[].total_stock number no Total stock of participating SKU (skus [].stock_num)

# Dxplaination of callback parameters

参数 type Introductions
errcode number Error code
errmsg string Error message
data.product_id number Trading Component Platform Internal Product ID
data.out_product_id string Merchant Custom Item ID
data.update_time string Updated time
data.skus object array sku array
data.skus[].sku_id string Trading component platform custom skuID
data.skus[].out_sku_id string Merchant custom skuID